<template>
  <div class="reviewList">
    <ul>
      <li v-for="review in reviews" :key="review.reviewId">
        <ReviewItem :review="review" @onUpdate="emitUpdate" />
      </li>
    </ul>
  </div>
</template>

<script>
import ReviewItem from "./ReviewItem";

export default {
  name: "ReviewList",
  components: {
    ReviewItem,
  },
  methods: {
    emitUpdate() {
      this.$emit("onUpdate");
    },
  },
  props: ["reviews"],
};
</script>

<style scoped>
.reviewList {
  height: 85vh;
  overflow: auto;
}
</style>
